Subject: Re: bug#45693: [two word expansion works, but write-abbrev-file destroys it]

From: Uwe Brauer <[email-masked]>
Date: Tue, 12 Jan 2021 17:45:45 +0100

> Uwe Brauer <[email-masked]> writes:

> What's your 'abbrev-file-name' set to? Emacs uses 'load' to read it,
> so it should be a complete pathname, ie "~/.abbrev_defs", or it should
> be in your 'load-path' somewhere.

Good and bad news. I repeated the test carefully looking around for old
abbrev.el or .abbrev_defs file.

    1. Good, I can confirm that your patched abbrev.el works in the
       sense that write-abbrev-file does not destroy the properties of
       the table.

    2. However I tried to add a local abbrev (or an inverse local
       abbrev) in the fundamental mode, but I obtain 

obarray-get: Wrong type argument: vectorp, ([## 0 0 0 0 0 0 0 0 0 ...] [## 0 0 0 0 0 0 0 0 0 ...]) [2 times]

That is maybe the reason I run into difficulties if I want to use
flyspell's abbrev mode if a correction occurs. 

Regards

Uwe